#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include <unistd.h>

#include <sys/types.h>
#include <sys/stat.h>

#include <netinet/in.h>

#include <linux/logdev.h>

#include "dump_log.h"

int main (int argc, char **argv)
{
	int fd;
	char *name = NULL;
	int cpu = 0;
	int c;

	while ((c = getopt(argc,argv,"c:")) >= 0) {
		switch (c) {
		case 'c':
			cpu = atoi(optarg);
			break;
		}
	}

	if (argc - optind) {
		name = argv[optind];
	}

	if ((fd = open_logdev_cpu(name,O_RDONLY|O_NONBLOCK,cpu))<0) {
		perror("open_logdev");
		exit(-1);
	}

	while(process_dump(fd));

	exit(0);
	return 0;
}
